<!DOCTYPE html>
<html th:replace="/parts/template :: template(~{::title}, ~{::section})" xmlns:th="http://www.w3.org/1999/xhtml">

<head>
    <title>Example Page</title>
</head>
<body>
<section th:with="userChannelId=(${userChannel.id})">
    <h3 th:text="${userChannel.username}"></h3>
    <div th:if="${!isCurrentUser}">
        <a class="btn btn-info"
           th:href="@{/user/subscribe/{userChannelId}(userChannelId=${userChannelId})}"
           th:if="${!isSubscriber}"
        >Subscribe</a>
        <a class="btn btn-info"
           th:href="@{/user/unsubscribe/{userChannelId}(userChannelId=${userChannelId})}"
           th:if="${isSubscriber}"
        >Unsubscribe</a>
    </div>
    <div class="container my-3">
        <div class="row">
            <div class="col">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title">Subscriptions</div>
                        <h3 class="card-text">
                            <a th:href="@{/user/subscriptions/{userChannelId}/list(userChannelId=${userChannelId})}" th:text="${subscriptionsCount}"></a>
                        </h3>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title">Subscribers</div>
                        <h3 class="card-text">
                            <a th:href="@{/user/subscribers/{userChannelId}/list(userChannelId=${userChannelId})}" th:text="${subscribersCount}"></a>
                        </h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div th:replace="/parts/editor-location-collapse-block :: editor-location-collapse-block (${path})" th:with ="path=${location} ? @{|/user-locations/${location.id}|}:@{|/user-locations/|}"></div>
    <div th:replace="/parts/user-locations"></div>
</section>
</body>
</html>